Bug 183061 - multimedia/rtmpdump complains due libcrypto.so.8
multimedia/rtmpdump complains due libcrypto.so.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 15:50 UTC by Carlos J Puga Medina
Modified: 2013-10-21 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2013-10-17 15:50:00 UTC
I tried to update "rtmpdump" to latest version and it fails to compile fine. Seems that the problem is related to "openssl" port due to multiples undefined references coming from rtmpsrv.c

Here is the build output:

# make
===>  License GPLv2 accepted by the user
===>  Found saved configuration for rtmpdump-2.4.20130923
===> Fetching all distfiles required by rtmpdump-2.4.20130923 for building
===>  Extracting for rtmpdump-2.4.20130923
=> SHA256 Checksum OK for rtmpdump-2.4.20130923.tar.gz.
===>  Patching for rtmpdump-2.4.20130923
===>  Applying FreeBSD patches for rtmpdump-2.4.20130923
===>   rtmpdump-2.4.20130923 depends on file: /usr/local/lib/libcrypto.so.8 - found
===>   rtmpdump-2.4.20130923 depends on executable: pkgconf - found
===>  Configuring for rtmpdump-2.4.20130923
===>  Building for rtmpdump-2.4.20130923
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c rtmp.c
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c log.c
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c amf.c
In file included from amf.c:33:
bytes.h:74:2: warning: #warning "Float word order not defined, assuming the same as byte order!"
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c hashswf.c
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c parseurl.c
ar rs librtmp.a rtmp.o log.o amf.o hashswf.o parseurl.o
ar: warning: creating librtmp.a
cc -shared -Wl,-soname,librtmp.so.0  -o librtmp.so.0  rtmp.o log.o amf.o hashswf.o parseurl.o -L/usr/local/lib -lssl -lcrypto -lz 
ln -sf librtmp.so.0 librtmp.so
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpdump.c
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpgw.c
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c thread.c
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpsrv.c
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpsuck.c
cc  -Wl,-rpath=/usr/local/lib -L/usr/local/lib -o rtmpdump rtmpdump.o -Llibrtmp -lrtmp -lssl -lcrypto -lz  
cc  -Wl,-rpath=/usr/local/lib -L/usr/local/lib -o rtmpgw rtmpgw.o thread.o -pthread -Llibrtmp -lrtmp -lssl -lcrypto -lz  
cc  -Wl,-rpath=/usr/local/lib -L/usr/local/lib -o rtmpsrv rtmpsrv.o thread.o -pthread -Llibrtmp -lrtmp -lssl -lcrypto -lz  
rtmpsrv.o: In function `main':
rtmpsrv.c:(.text+0x538): undefined reference to `RTMP_TLS_AllocServerContext'
rtmpsrv.c:(.text+0x64b): undefined reference to `RTMP_TLS_FreeServerContext'
rtmpsrv.o: In function `doServe':
rtmpsrv.c:(.text+0x1dfc): undefined reference to `RTMP_TLS_Accept'
*** [rtmpsrv] Error code 1
1 error
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** [do-build] Error code 1

Stop in /usr/ports/multimedia/rtmpdump.
*** [build] Error code 1

Stop in /usr/ports/multimedia/rtmpdump.
 
Rebuild using "MAKE_JOBS_UNSAFE=yes" doesn't solve the problem.

A plus is that it builds/installs correctly without security/openssl  which currently is a needed dependency.
Comment 1 Edwin Groothuis freebsd_committer 2013-10-21 06:48:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-10-21 09:39:44 UTC
Author: hrs
Date: Mon Oct 21 08:39:36 2013
New Revision: 331102
URL: http://svnweb.freebsd.org/changeset/ports/331102

Log:
  Fix a build breakage when security/openssl is installed.
  
  PR:	ports/183100, ports/183061

Modified:
  head/multimedia/rtmpdump/Makefile
  head/multimedia/rtmpdump/files/patch-Makefile

Modified: head/multimedia/rtmpdump/Makefile
==============================================================================
--- head/multimedia/rtmpdump/Makefile	Mon Oct 21 08:34:26 2013	(r331101)
+++ head/multimedia/rtmpdump/Makefile	Mon Oct 21 08:39:36 2013	(r331102)
@@ -14,17 +14,13 @@ USES=		pkgconfig
 USE_LDCONFIG=	yes
 USE_OPENSSL=	yes
 MAKE_ENV=	THREADLIB="${PTHREAD_LIBS}"
-CFLAGS+=	${PTHREAD_CFLAGS}
+CFLAGS+=	${PTHREAD_CFLAGS} -I${OPENSSLINC}
+LDFLAGS+=	-L${OPENSSLLIB}
 PORTDOCS=	ChangeLog README
 
 OPTIONS_DEFINE=	DOCS
 
-.include <bsd.port.pre.mk>
-
-.if ${OPENSSLBASE} != "/usr"
-CFLAGS+=	-I${OPENSSLINC}
-LDFLAGS+=	-L${OPENSSLLIB}
-.endif
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDOCS}
 post-install:
@@ -32,4 +28,4 @@ post-install:
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/rtmpdump/files/patch-Makefile
==============================================================================
--- head/multimedia/rtmpdump/files/patch-Makefile	Mon Oct 21 08:34:26 2013	(r331101)
+++ head/multimedia/rtmpdump/files/patch-Makefile	Mon Oct 21 08:39:36 2013	(r331102)
@@ -1,7 +1,7 @@
---- Makefile.orig	2010-07-01 04:58:35.000000000 +0900
-+++ Makefile	2010-08-01 01:26:30.000000000 +0900
+--- Makefile.orig	2013-10-07 03:52:05.000000000 +0900
++++ Makefile	2013-10-20 14:37:46.000000000 +0900
 @@ -1,9 +1,9 @@
- VERSION=v2.3
+ VERSION=v2.4
  
 -prefix=/usr/local
 +prefix=${PREFIX}
@@ -13,7 +13,7 @@
  
  SYS=posix
  #SYS=mingw
-@@ -20,8 +20,9 @@
+@@ -21,8 +21,9 @@
  
  DEF=-DRTMPDUMP_VERSION=\"$(VERSION)\" $(CRYPTO_DEF) $(XDEF)
  OPT=-O2
@@ -25,9 +25,9 @@
  
  bindir=$(prefix)/bin
  sbindir=$(prefix)/sbin
-@@ -37,7 +38,7 @@
- 
+@@ -41,7 +42,7 @@
  THREADLIB_posix=-lpthread
+ THREADLIB_darwin=-lpthread
  THREADLIB_mingw=
 -THREADLIB=$(THREADLIB_$(SYS))
 +THREADLIB?=$(THREADLIB_$(SYS))
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2013-10-21 09:40:46 UTC
State Changed
From-To: open->closed

Fixed in r331102.  Thank you for your report.
Comment 4 Carlos J Puga Medina 2013-10-21 10:11:47 UTC
Thanks, after SVN commit r331102 it works fine.


2013/10/21 <hrs@freebsd.org>

> Synopsis: multimedia/rtmpdump complains due libcrypto.so.8
>
> State-Changed-From-To: open->closed
> State-Changed-By: hrs
> State-Changed-When: Mon Oct 21 08:40:46 UTC 2013
> State-Changed-Why:
> Fixed in r331102.  Thank you for your report.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=183061
>